<template>
    <div class="home">
    
        <v-lazy v-model="isActive" :options="{
    
              threshold: .5
    
            }" min-height="200" transition="fade-transition">
    
            <div>
    
                <v-container>
    
                    <v-row align="center" align-content="center" justify="center">
    
                        <v-col sm="6">
    
                            <v-parallax src="../assets/bg_car.png" :height="height">
    
                                <v-carousel v-model="model">
    
                                    <v-carousel-item v-for="mag in allMagazine" :key="mag._id">
    
                                        <v-row class="fill-height" align="center" justify="center">
    
                                            <div class="display-3">
    
                                                <a :href="mag.lien" target="_blank">
    
                                                    <v-img :src="$config.DEFAULT_URL +'magazine/'+ mag.image" width="300" />
    
                                                </a>
    
                                            </div>
    
                                        </v-row>
    
                                    </v-carousel-item>
    
                                </v-carousel>
    
                            </v-parallax>
    
                        </v-col>
    
                        <v-col sm="6" v-if="screen!='xs'">
    
                            <h1 class=" grey--text display-1">
    
                                Vous avez une bonne affaire à partager? faites <a href="/annonce/create">une annonce!</a>
    
                            </h1>
    
                            <v-row>
    
                                <v-col sm="12" align-self="center">
    
                                    <v-btn class="" x-large block outlined to="/inscription">S'inscrire</v-btn>
    
                                </v-col>
    
                                <v-col sm="12" align-self="center">
    
                                    <v-btn class="" x-large block outlined to="/connexion">Se connecter</v-btn>
    
                                </v-col>
    
                            </v-row>
    
                        </v-col>
    
                    </v-row>
    
                </v-container>
    
                <v-divider/>
    
                <v-container class="mb-6">
    
                    <v-row>
    
                        <v-col sm="12" align="center">
    
                            <h2>
    
                                AutoShop vous conseil
    
                            </h2>
    
                        </v-col>
    
                    </v-row>
    
                    <ArticleGroup :allCategorie="allCategorie" :allService="allService" />
    
                </v-container>
    
                <v-container>
    
                    <v-row>
    
                        <v-col sm="12" align="center">
    
                            <h2>
    
                                Annonces populaires
    
                            </h2>
    
                        </v-col>
    
                    </v-row>
    
                    <v-row>
    
                        <v-col sm="4" v-for="n in 3" :key="n">
    
                            <Article/>
    
                        </v-col>
    
                    </v-row>
    
                </v-container>
    
            </div>
    
        </v-lazy>
    
    </div>
</template>

<script>
import Article from '../components/Article.vue'
import ArticleGroup from '../components/ArticleGroup.vue'

export default {
    components: { Article, ArticleGroup },
    name: 'Home',
    data: () => ({
        isActive: false,
        model: 0,
        colors: [
            'primary',
            'secondary',
            'yellow darken-2',
            'red',
            'orange',
        ],
    }),
    created() {
        this.getAllMagazine()
        this.getAllBanniere()
        this.getService()
        this.getCategorie()
        this.getCategorieMateriel()
    },
    methods: {
        async getAllMagazine() {
            console.log(this.colors);
            try {
                await this.$store.dispatch('autoshop/loadMagazine')
            } catch (e) {
                console.log(e)
            }
        },

        async getAllBanniere() {
            try {
                await this.$store.dispatch('autoshop/loadBanniere')
            } catch (e) {
                console.log(e);
            }
        },

        async getService() {
            try {
                await this.$store.dispatch('autoshop/loadService')
            } catch (e) {
                console.log(e);
            }
        },
        async getCategorie() {
            try {
                await this.$store.dispatch('autoshop/loadCategorie')
            } catch (e) {
                console.log(e);
            }
        },

        async getCategorieMateriel() {
            try {
                await this.$store.dispatch('autoshop/loadCategorieMateriel')
            } catch (e) {
                console.log(e);
            }
        },

    },

    computed: {
        screen(){
            return this.$vuetify.breakpoint.name
        },
        height () {
            switch (this.$vuetify.breakpoint.name) {
            case 'xs': return 160
            case 'sm': return 500
            case 'md': return 500
            case 'lg': return 500
            case 'xl': return 500
            default : return 200
            }
        },
        allMagazine() {

            return this.$store.getters["autoshop/magazines"]
        },
        allCategorie() {

            return this.$store.getters["autoshop/categories"]
        },
        allService() {
            console.log("categories", this.$store.getters["autoshop/services"])
            return this.$store.getters["autoshop/services"]
        },


    }
}
</script>
